Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 914364 - app-admin/syslog-ng-4.2.0: invalid pid values shown in log
Summary: app-admin/syslog-ng-4.2.0: invalid pid values shown in log
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Tomáš Mózes
URL:
Whiteboard:
Keywords:
Depends on: 924000 923176
Blocks:
  Show dependency tree
 
Reported: 2023-09-17 17:36 UTC by Rolf Eike Beer
Modified: 2024-02-08 03:41 UTC (History)
6 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rolf Eike Beer archtester 2023-09-17 17:36:13 UTC
Log around the update:

Sep 17 09:40:36 castor sudo[15965]:
Sep 17 09:40:38 castor sudo[15965]:
Sep 17 09:41:15 castor start-stop-daemon[16468]: Will stop /usr/sbin/syslog-ng
Sep 17 09:41:15 castor start-stop-daemon[16468]: Will stop PID 2795
Sep 17 09:41:15 castor syslog-ng[2795]: syslog-ng shutting down; version='4.0.1'
Sep 17 09:41:15 castor start-stop-daemon[16468]: Sending signal 15 to PID 2795
Sep 17 09:41:16 castor syslog-ng[16580]: syslog-ng starting up; version='4.2.0'
Sep 17 09:42:16 castor rsyncd[121]:
Sep 17 09:42:16 castor rsyncd[4133473728]:
Sep 17 09:42:16 castor rsyncd[1879567560]:
Sep 17 09:42:16 castor rsyncd[0]:

Portage 3.0.49 (python 3.11.5-final-0, default/linux/sparc/17.0, gcc-11.3.0, glibc-2.37-r3, 6.4.11-gentoo-sparc64 sparc64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-6.4.11-gentoo-sparc64-sparc64-sun4v-with-glibc2.37
KiB Mem:    33082640 total,  29805568 free
KiB Swap:   33554424 total,  33554424 free
Timestamp of repository gentoo: Sun, 17 Sep 2023 02:15:01 +0000
Head commit of repository gentoo: 8f6c1cfa60a003d005f648a2e0c55d76baec0216
sh bash 5.1_p16-r6
ld GNU ld (Gentoo 2.40 p5) 2.40.0
app-misc/pax-utils:        1.3.5::gentoo
app-shells/bash:           5.1_p16-r6::gentoo
dev-lang/perl:             5.38.0-r1::gentoo
dev-lang/python:           2.7.18_p16-r1::gentoo, 3.10.13::gentoo, 3.11.5::gentoo
dev-util/cmake:            3.26.5-r2::gentoo
dev-util/meson:            1.1.1::gentoo
sys-apps/baselayout:       2.14::gentoo
sys-apps/openrc:           0.48::gentoo
sys-apps/sandbox:          2.37::gentoo
sys-devel/autoconf:        2.71-r6::gentoo
sys-devel/automake:        1.16.5::gentoo
sys-devel/binutils:        2.40-r5::gentoo
sys-devel/binutils-config: 5.5::gentoo
sys-devel/gcc:             11.3.0::gentoo, 12.2.1_p20230428-r1::gentoo
sys-devel/gcc-config:      2.11::gentoo
sys-devel/libtool:         2.4.7-r1::gentoo
sys-devel/make:            4.4.1-r1::gentoo
sys-kernel/linux-headers:  6.1::gentoo (virtual/os-headers)
sys-libs/glibc:            2.37-r3::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: rsync
    sync-uri: rsync://rsync.de.gentoo.org/gentoo-portage/
    priority: -1000
    volatile: True
    sync-rsync-extra-opts: 
    sync-rsync-verify-metamanifest: yes
    sync-rsync-verify-jobs: 8
    sync-rsync-verify-max-age: 24

dakon
    location: /var/db/repos/dakon
    sync-type: svn
    sync-uri: https://opensource.sf-tec.de/repos/dakon-overlay
    masters: gentoo
    volatile: False

local
    location: /usr/local/portage
    masters: gentoo
    priority: 100
    volatile: True

ACCEPT_KEYWORDS="sparc"
ACCEPT_LICENSE="@FREE public-domain/GPL all-rights-reserved linux-firmware freedist"
CBUILD="sparc-unknown-linux-gnu"
CFLAGS="-O2 -mcpu=niagara2 -pipe"
CHOST="sparc-unknown-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/gnupg/qualified.txt /var/qmail/alias /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/php/apache2-php8.1/ext-active/ /etc/php/cgi-php8.1/ext-active/ /etc/php/cli-php8.1/ext-active/ /etc/php/fpm-php8.1/ext-active/ /etc/php/phpdbg-php8.1/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-O2 -mcpu=niagara2 -pipe"
DISTDIR="/usr/portage/distfiles"
ENV_UNSET="CARGO_HOME DBUS_SESSION_BUS_ADDRESS DISPLAY GDK_PIXBUF_MODULE_FILE GOBIN GOPATH PERL5LIB PERL5OPT PERLPREFIX PERL_CORE PERL_MB_OPT PERL_MM_OPT XAUTHORITY XDG_CACHE_HOME XDG_CONFIG_HOME XDG_DATA_HOME XDG_RUNTIME_DIR XDG_STATE_HOME"
FCFLAGS=""
FEATURES="assume-digests binpkg-docompress binpkg-dostrip binpkg-logs buildpkg-live config-protect-if-modified distlocks ebuild-locks fixlafiles ipc-sandbox merge-sync network-sandbox news parallel-fetch pid-sandbox preserve-libs protect-owned qa-unresolved-soname-deps sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync xattr"
FFLAGS=""
GENTOO_MIRRORS="https://ftp.gwdg.de/pub/linux/gentoo/ https://ftp.uni-hannover.de/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LEX="flex"
LINGUAS="en de"
MAKEOPTS="-j20"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
SHELL="/bin/bash"
USE="acl big-endian bzip2 cli crypt curl dri fortran gdbm iconv ipv6 libtirpc llvm-libunwind lvm ncurses nptl openmp pam pcre readline sparc split-usr ssl unicode xattr zlib" ADA_TARGET="gnat_2021" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="karbon sheets words" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock greis isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="libinput" KERNEL="linux" L10N="en" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LUA_SINGLE_TARGET="lua5-1" LUA_TARGETS="lua5-1" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php8-1" POSTGRES_TARGETS="postgres15" PYTHON_SINGLE_TARGET="python3_11" PYTHON_TARGETS="python3_11" RUBY_TARGETS="ruby31" VIDEO_CARDS="fbdev mga r128 radeon dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq proto steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  ADDR2LINE, AR, ARFLAGS, AS, ASFLAGS, CC, CCLD, CONFIG_SHELL, CPP, CPPFLAGS, CTARGET, CXX, CXXFILT, ELFEDIT, EMERGE_DEFAULT_OPTS, EXTRA_ECONF, F77FLAGS, FC, GCOV, GPROF, INSTALL_MASK, LC_ALL, LD, LFLAGS, LIBTOOL, MAKE, MAKEFLAGS, NM, OBJCOPY, OBJDUMP, PORTAGE_BINHOST, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, RANLIB, READELF, RUSTFLAGS, SIZE, STRINGS, STRIP, YACC, YFLAGS

=================================================================
                        Package Settings
=================================================================

app-admin/syslog-ng-4.2.0::gentoo was built with the following:
USE="ipv6 -amqp -caps -dbi -geoip2 -http -json -kafka (-mongodb) -pacct -python (-redis) -smtp -snmp -spoof-source -systemd -tcpd (-test)" PYTHON_SINGLE_TARGET="python3_11 -python3_10"
FEATURES="assume-digests ebuild-locks sfperms unmerge-orphans fixlafiles news usersync parallel-fetch merge-sync pid-sandbox ipc-sandbox protect-owned binpkg-dostrip sandbox buildpkg-live userpriv xattr qa-unresolved-soname-deps config-protect-if-modified usersandbox binpkg-logs preserve-libs userfetch network-sandbox unmerge-logs binpkg-docompress strict distlocks unknown-features-warn"
Comment 1 Larry the Git Cow gentoo-dev 2024-02-06 07:35:35 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=54a8e50fc436e9bc102444401c211e09c14d2314

commit 54a8e50fc436e9bc102444401c211e09c14d2314
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2024-02-06 07:34:58 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-02-06 07:34:58 +0000

    app-admin/syslog-ng: drop 4.2.0, 4.4.0-r1 back to ~arch
    
    Newer versions are buggy and may log broken PIDs in some cases.
    
    Bug: https://bugs.gentoo.org/914364
    Signed-off-by: Sam James <sam@gentoo.org>

 app-admin/syslog-ng/syslog-ng-4.2.0.ebuild    | 4 ++--
 app-admin/syslog-ng/syslog-ng-4.4.0-r1.ebuild | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c7dc635507f8bc00c9601630a0ffe5e2d004919

commit 8c7dc635507f8bc00c9601630a0ffe5e2d004919
Author:     Sam James <sam@gentoo.org>
AuthorDate: 2024-02-06 07:33:58 +0000
Commit:     Sam James <sam@gentoo.org>
CommitDate: 2024-02-06 07:33:58 +0000

    Revert "app-admin/syslog-ng: drop 4.0.1, 4.1.1-r1, 4.1.1-r2"
    
    This reverts commit 808a63239296f90c10ba70820abfb1c55a8e4b25.
    
    Bug: https://bugs.gentoo.org/914364
    Signed-off-by: Sam James <sam@gentoo.org>

 app-admin/syslog-ng/Manifest                  |   2 +
 app-admin/syslog-ng/syslog-ng-4.0.1.ebuild    | 178 +++++++++++++++++++++++++
 app-admin/syslog-ng/syslog-ng-4.1.1-r1.ebuild | 183 ++++++++++++++++++++++++++
 app-admin/syslog-ng/syslog-ng-4.1.1-r2.ebuild | 183 ++++++++++++++++++++++++++
 app-admin/syslog-ng/syslog-ng-4.6.0.ebuild    |   2 +-
 5 files changed, 547 insertions(+), 1 deletion(-)
Comment 2 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-02-06 07:36:31 UTC
4.4.0 at least doesn't fix it, can you try 4.6.0?
Comment 3 Tomáš Mózes 2024-02-06 09:08:07 UTC
(In reply to Sam James from comment #2)
> 4.4.0 at least doesn't fix it, can you try 4.6.0?

Actually, I've been using 4.4.0-r1 for a while now on a bunch of servers without issues.
Comment 4 J. Roeleveld 2024-02-06 12:55:40 UTC
I have not had any issues on any of my systems.
Currently running 4.2.0 on all systems.

Based on the report, it looks like the issue is on sparc64 architecture.
Why is everyone else being forced to downgrade?
Comment 5 S. Rothe 2024-02-06 14:13:16 UTC
This downgrade caused some problems for me because of stats_freq syntax
Correct Syntax for 4.0.X:
> stats(freq(43200));
Correct syntax for 4.2.X:
> stats_freq(43200);

When downgrading from 4.2.X to 4.0.X, syslog-ng won't start
>  * Checking your configfile (/etc/syslog-ng/syslog-ng.conf) ...[2024-02-06T14:55:01.257365] WARNING: Configuration file format is newer than the current version, please specify the current version number (4.0) in the @version directive. syslog-ng will operate at its highest supported version in this mode; config-version='4.2'
> [2024-02-06T14:55:01.261382] WARNING: Your configuration file uses an obsoleted keyword, please update your configuration; keyword='stats', change='stats_freq', location='/etc/syslog-ng/syslog-ng.conf:16:2'
> Error parsing options statement, syntax error, unexpected LL_IDENTIFIER, expecting LL_NUMBER in /etc/syslog-ng/syslog-ng.conf:16:8-16:12:
> 11      
> 12      	# The default action of syslog-ng is to log a STATS line
> 13      	# to the file every 10 minutes.  That's pretty ugly after a while.
> 14      	# Change it to every 12 hours so you get a nice daily update of
> 15      	# how many messages syslog-ng missed (0).
> 16----> 	stats(freq(43200));
> 16----> 	      ^^^^
> 17      	# The default action of syslog-ng is to log a MARK line
> 18      	# to the file every 20 minutes.  That's seems high for most
> 19      	# people so turn it down to once an hour.  Set it to zero
> 20      	# if you don't want the functionality at all.
> 21      	mark_freq(3600);

So I had to manually fix the config file to old 4.0.X syntax.
Comment 6 S. Rothe 2024-02-06 14:16:14 UTC
Argh the other way around:
Correct Syntax for 4.4.X:
> stats(freq(43200));
Correct syntax for 4.0.X:
> stats_freq(43200);
Comment 7 Robert Gill 2024-02-06 20:44:31 UTC
I have confirmed that PID logging has been fixed in version app-admin/syslog-ng-4.6.0 on x86 architecture.
Comment 8 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-02-06 21:58:50 UTC
(In reply to J. Roeleveld from comment #4)
> Based on the report, it looks like the issue is on sparc64 architecture.
> Why is everyone else being forced to downgrade?

The upstream report is not exclusive to sparc64, it happened on arm too.
Comment 9 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-02-06 22:16:35 UTC
(In reply to Robert Gill from comment #7)
> I have confirmed that PID logging has been fixed in version
> app-admin/syslog-ng-4.6.0 on x86 architecture.

Let's try 4.6.0 as a stable target then?
Comment 10 J. Roeleveld 2024-02-07 08:19:36 UTC
(In reply to Sam James from comment #8)
> (In reply to J. Roeleveld from comment #4)
> > Based on the report, it looks like the issue is on sparc64 architecture.
> > Why is everyone else being forced to downgrade?
> 
> The upstream report is not exclusive to sparc64, it happened on arm too.

I can't see a link to the upstream report.

I use amd64 and have not had anything resembling this issue.
Masking amd64 when it's not affected is overkill
Comment 11 Tomáš Mózes 2024-02-07 10:13:14 UTC
(In reply to Sam James from comment #9)
> (In reply to Robert Gill from comment #7)
> > I have confirmed that PID logging has been fixed in version
> > app-admin/syslog-ng-4.6.0 on x86 architecture.
> 
> Let's try 4.6.0 as a stable target then?

https://bugs.gentoo.org/924000
Comment 12 Tomáš Mózes 2024-02-07 10:22:38 UTC
Right, I forgot that the previous stable target was syslog-ng-4.4.0-r1 and not 4.4.0-r2 which added grpc dep which is missing KW and thus syslog-ng-4.6.0 cannot be stabilized right away.
Comment 13 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-02-07 18:52:48 UTC
(In reply to J. Roeleveld from comment #10)

See the 'See Also' link to https://github.com/syslog-ng/syslog-ng/issues/4597. 

The bug might only affect 32-bit arches but there's nothing which guarantees that.
Comment 14 Sam James archtester Gentoo Infrastructure gentoo-dev Security 2024-02-07 19:16:45 UTC
(In reply to Sam James from comment #13)
> (In reply to J. Roeleveld from comment #10)
> 
> See the 'See Also' link to
> https://github.com/syslog-ng/syslog-ng/issues/4597. 
> 
> The bug might only affect 32-bit arches but there's nothing which guarantees
> that.

... and https://github.com/syslog-ng/syslog-ng/issues/4597#issuecomment-1868339588 explicitly says it's not 32-bit only. Thanks.
Comment 15 Tomáš Mózes 2024-02-08 03:35:54 UTC
(In reply to J. Roeleveld from comment #10)
> (In reply to Sam James from comment #8)
> > (In reply to J. Roeleveld from comment #4)
> > > Based on the report, it looks like the issue is on sparc64 architecture.
> > > Why is everyone else being forced to downgrade?
> > 
> > The upstream report is not exclusive to sparc64, it happened on arm too.
> 
> I can't see a link to the upstream report.
> 
> I use amd64 and have not had anything resembling this issue.
> Masking amd64 when it's not affected is overkill

There is always a possibility to override the downgrade by using package.accept_keywords. 

Sam is trying to help here and version 4.6.0 is already being stabilized.